Skip to navigation

Update

Updates a draft quote’s type, currency, store account or lines; lines sent replace the old ones. | authz: allowed_org_types=[provider], min_org_role=operator | authz_personas=[coordinator_org_operators] | (OrderBillingQuoteClientUpdate1) -> (OrderBillingQuote1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

quote_idstringRequired

Request

This endpoint expects an object.
currency_codeenum or nullOptional
line_itemslist of objectsOptional
quote_typeenum or nullOptional
Allowed values:
shipper_account_idstring or nullOptional
shipper_account_id__set_to_NonebooleanOptionalDefaults to false

Response

Successful Response
_idstring
created_at_timestampstringformat: "date-time"
created_by_user_idstring

Must be a string starting with user_

currency_codeenum
last_edited_at_timestampstringformat: "date-time"
last_edited_by_user_idstring

Must be a string starting with user_

order_idstring
owned_by_org_idstring

Must be a string starting with org_

quote_typeenum
Allowed values:
schema_versioninteger
accepted_at_timestampstring or nullOptionalformat: "date-time"
accepted_by_user_idstring or nullOptional
counterparty_off_chrt_org_data_idstring or nullOptional
counterparty_org_idstring or nullOptional
line_itemslist of objectsOptional
shipper_account_idstring or nullOptional
statusenumOptional
Allowed values:
superseded_at_timestampstring or nullOptionalformat: "date-time"
superseded_by_order_billing_quote_idstring or nullOptional
withdrawn_at_timestampstring or nullOptionalformat: "date-time"
withdrawn_by_user_idstring or nullOptional

Errors

422
Unprocessable Entity Error